UltraSn0w Fixer For 5.1.1 Released To Unlock iOS 5.1.1 On iPhone 4, iPhone 3GS

For those of you who updated your unlocked iPhone 4 or iPhone 3GS to the iOS 5.1.1 firmware and are Jailbroken tethered you were probably in for a shock when UltraSn0w was not able to be installed. This is because the iPhone Dev-Team need to update UltraSn0w to be compatible with the iOS 5.1.1 firmware. Luckily for you however, a temporary solution was released called UltraSn0w Fixer for 5.1.1 that can unlock the iPhone 4 and iPhone 3GS on the following basebands — 01.59.00, 04.26.08, 05.11.07, 05.13.01, 05.12.01, 06.15.00.

UltraSn0w Fixer for 5.1.1

If you would like to unlock your iPhone on the iOS 5.1.1 firmware with UltraSn0w Fixer for 5.1.1 you will simply need to add the 3rd party repository shown below. For those of you who do not know how to add a new repository into Cydia you will simply need to go into the Manage tab, Sources section, and then click the edit, followed by the add button.

http://repo.iparelhos.com

A more in-depth guide to unlocking your iPhone 4 or iPhone 3GS running the iOS 5.1.1 firmware with UltraSn0w Fixer for 5.1.1 will be coming your way soon. Until that time please stay tuned and leave any questions or thoughts about this temporary fix in the comments section below.

Update #1: The how to guide for unlocking your iPhone 4 or iPhone 3GS with UltraSn0w Fixer for 5.1.1 has been published (click here for more information).

Don't forget to follow iJailbreak.com on Facebook, Twitter and Google+.
  • ZHAO HUANG

    Still not 4.12.01

  • http://twitter.com/JadenEllett Jaden Easton-Ellett

    No sorry, just an update to be compatible with the iOS 5.1.1 firmware. No new basebands :( 

  • Ukicoker

    my iPhone 3gs BB is 6:15:00, IOS 5.1.1, but why not? is this just a scam?

  • Leticivz17

    este e unthetered ou thetered

  • Leticiavz17

    este e unthetered ou thetered

  • http://www.facebook.com/subhash.pandit1 Subhash Pandit

    Accidentely I update my iphone 3gs to 5.1.1 and I tried to downgrade it but countinue I got error messege so I just left it 5.1.1 and now it’s tethered jailbreak and I installed ultrasn0w fixer for 5.1.1 then ultrasn0w but it’s still locked. The baseband is 06.15.00 on MB version of device. If anybody have any idea please please post it.

  • Paul

    use the deactivate option in red snow. hope it helps

  • Ggball2

    I installed Ultrasn0wfixer for 5.1.1 but the phone is still locked

  • Noelski08

    Same issues here, BB 6.15.00 I dont think ultrasnow fixer supports 5.1.1 firmware. Still dnt have signal and I’m a t-mobile carrier. But lately I’ve heard some phones works out there =(

  • http://www.facebook.com/profile.php?id=100000198488085 Sean Mullarkey

    are you in the basebands.. 
    01.59.00, 04.26.08, 05.11.07, 05.13.01, 05.12.01, 06.15.00.

  • Vlegaspi

    what about BB 04.11.08 why they left it behind?
    is there any workaround with this?

  • Dan Maca

    when is 04.12.01 coming out cause i need it realy bad

  • Linhnguyen

    my baseband is 04.12.01, i need help!!!!

  • Linhnguyen

    Can you restore the old version? iOS 4 or IOS 5.0, 5.1?

  • Tayeb

    this really suckz ,,,,, also damaged my safari and not letting me use internet

  • Juliodimaio

    Must we wait for baseband 04.12.01 unlock?

  • Script

    For me yeah I am on baseband 01.59.00, it said no services.

  • Jack

    What do you mean using deactivate?? Coz. I have same problem here

  • http://profile.yahoo.com/GI64X7RNTMG4ZDJLFEEBTWM374 umut

    I unlocked my phone with Ultrasnow fixer 5.1.1 I can make phone calls but signal is very low and i cant use 3G network. My bb is 1.59.00. What can I do?

  • Sufferios5.1

    when Iphone 3gs baseband 05.16.05 unlock available…. pls I have suffer after updated to ios 5.1.1 !!!!

  • nobles0ul

    thanx a ton ! works like charm

  • BorgeMC

    guys help! I updated my 3gs on 5.1.1 and it got locked, I’m a second user of this phone, so I don’t know what carriers of this phone before, and now, I’m unable to even go through to it’s home screen :( 

  • Kristel

    What happened to ur iphone? same issue with my i phone.. i dont know how to fix it. can you help me?

  • Cat Nik66

    I tried this way to unlock my Iphone 4 but not worked !! Iphone 4 , IOS 5.1.1 jailbreak with a custom firmware built with Sn0wbreeze ! Do I have to use only Redsn0w to can unlock my phone ? regards

  • Bullshit

    shit..it’s not working dumbass!

  • Rumaimin

     First install-ultrasn0wfixer for 5.1.1
    Then Install- ultraSn0w

    Now its unlocked

  • Munna

     how can i unlock my I phone 3gs base band 05.16.05 …. pls I have suffer after updated to ios 5.1 !!!!

  • http://www.facebook.com/subhash.pandit1 Subhash Pandit

    many time i tried but same issue. network searching…………….

  • Edasbonilla

    it doenst work,

  • tankbuster

    4.12.1??

  • Oliricl

    Hello 
    I  got and Iphone 3gs 5.1.1 and I upgrade the baseband from 5.16.05 to 06.15.00 and now NO SERVICE! :S I have cydia installed, ultrasnow 1.2.7 and I also tried installing ultrasnow fix for 5.1.1 and NOTHING WORKS!!! SOMEONE PLEASE HELP ME!

  • eric

    hi have you found out when the unlock will come out for 05.16.05 ?

  • raffy

    need help does anyone know how to unlock the iphone3gs 5.1.1 fim 05.16.05

  • sam

    I have an  iphone 3gs 5.1.1 baseband 05.16.05 and its with me sine 2009
    I installed UltraSn0w Fixer For 5.1.1 and reboot my iphone  and the iphone searching for a sim card for hours I turn the phone off many time and it still doesnt work
    so please give us something else to fix the problem
    thanks

  • Mfahim77

    did you get yours fixed? Because I have same exact problem! 

  • Bigbadbaza

     when you install ultrasn0w make sure sims card is ejected, then reboot phone an insert sim card.

  • Caseylee

    mine has been doing the same. i cant seem to figure it out!

  • Ceri Davies

    After going through Absinthe.  I installed the ultrasn0w fixer, and then ultrasn0w for 5.1.1.  UltraSn0w said that the phone was unlocked. Took the phone to England and got sim failure when inserting iPhone sims from Orange and O2, so it didn’t work.  My AT&T sim is still working fine, pretty bummed I didn’t have my phone for my holiday in England.

  • valentinic91

    i just try dis n its solve my problem, go to redsnow 0.9.14b2 and click jailbreak,
    click the downgrade ipad baseband box and unchecked the install cydia box and click next.then wait :)

  • Kerem Drk

    Hello, i have an iPhone4 with 01.59.00 bb and 5.1.1 version.I was getting no service errors before installing fixer when i use data service. I installed both ultrasn0w and ultrasn0w fixer (first ultrasn0w) but it just got better and i still take no service error! Did anyone experience same?

  • Kerem Drk

    And my signal bar is always 1! is there a way?

  • http://www.facebook.com/nicola.d.gow Nicola Denise Gow

    Hi Oliricl I have a 3gs 5.1.1 bb 5.16.05 and want to upgrade to 06.15.00 but i keep getting error 1601 on itunes- how did u do it? Been trying for days now…

  • parminder

    stop upgrading, there is no unlock made for bb 6.15.00, so enjoy your unlock iphone on bb 5.16.05, :)
    u already using ios 5.1.1 then y u want to upgrade bb, u want to make it ipod?

  • http://twitter.com/mknaepen0001 Knaepen Matthieu

    its working with all new base band

  • Redley

    First install/reinstall Mobile Substrate, after install ultrasn0w and should restore your phone. Can try to uninstall the two programs and reinstall again…

  • Piers Warren

    with my iphone 4, I have installed ultrasn0w 1.2.7 and it didi not unlock. I did the above as well and still unlocked. Where to from here?